## python-gvm 21.10.0

=== docs/requirements.txt ===
lxml
paramiko
defusedxml
sphinx
sphinx-autodoc-typehints

## python-gvm 1.2.0

=== debian/changelog ===
python-gvm (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild to get into testing.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 06 Aug 2020 14:56:24 +0200

python-gvm (1.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Initial release (Closes: #950029)
  * Add gvmd in depends
  * Add debian/salsa-ci.yml
  * Add a patch to change unix sockets paths

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

  [ Raphaël Hertzog ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 31 Jul 2020 15:48:03 +0200

=== debian/control ===
Source: python-gvm
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>, SZ Lin <szlin@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all, python3-sphinx, python3-sphinx-autodoc-typehints, python3-defusedxml, python3-lxml, python3-paramiko
Standards-Version: 4.5.0
Homepage: https://github.com/greenbone/python-gvm
Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm
Vcs-Git: https://salsa.debian.org/pkg-security-team/python-gvm.git
Testsuite: autopkgtest-pkg-python

Package: python3-gvm
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources, gvmd (>= 9.0.0)
Suggests: python-gvm-doc
Description: Greenbone Vulnerability Management Python Library (Python 3)
 This module gvm contains the Greenbone Vulnerability Management Python API
 library. It's a collection of APIs that help with remote controlling a
 Greenbone Security Manager (GSM) appliance and its underlying Greenbone
 Vulnerability Manager (GVM). The library essentially abstracts accessing the
 communication protocols Greenbone Management Protocol (GMP) and Open Scanner
 Protocol (OSP).
 .
 This package installs the library for Python 3.

Package: python-gvm-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Greenbone Vulnerability Management Python Library (common documentation)
 This module gvm contains the Greenbone Vulnerability Management Python API
 library. It's a collection of APIs that help with remote controlling a
 Greenbone Security Manager (GSM) appliance and its underlying Greenbone
 Vulnerability Manager (GVM). The library essentially abstracts accessing the
 communication protocols Greenbone Management Protocol (GMP) and Open Scanner
 Protocol (OSP).
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=gvm

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

## python-gvm 21.1.1

=== debian/changelog ===
python-gvm (21.1.1-1) unstable; urgency=medium

  * New upstream version 21.1.1
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 22 Jan 2021 15:57:53 +0100

python-gvm (20.9.1-1) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Mark patch as not needing to be forwarded
  * Switch to debhelper compat level 13
  * Bump Standards-Version to 4.5.1

  [ Sophie Brun ]
  * New upstream version 20.9.1
  * Refresh patches
  * Import the generated setup.py
  * Don't install test.file

  [ SZ Lin (林上智) ]
  * I am no longer using this package, and thus remove my name from the
    uploaders field due to time constraints

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 03 Dec 2020 15:24:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>, SZ Lin <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all, python3-sphinx, python3-sphinx-autodoc-typehints, python3-defusedxml, python3-lxml, python3-paramiko
-Standards-Version: 4.5.0
+Uploaders: Sophie Brun <sophie@offensive-security.com>
+Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-sphinx, python3-sphinx-autodoc-typehints, python3-defusedxml, python3-lxml, python3-paramiko
+Standards-Version: 4.5.1
 Homepage: https://github.com/greenbone/python-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/python-gvm.git

## python-gvm 21.10.0

=== debian/changelog ===
python-gvm (21.10.0-1) unstable; urgency=medium

  * New upstream version 21.10.0
  * Refresh patches
  * Bump Standards-Version to 4.6.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Oct 2021 10:50:24 +0200

python-gvm (21.6.0-1) unstable; urgency=medium

  * Update debian/copyright
  * Update required version of gvmd
  * wrap-and-sort
  * New upstream version 21.6.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Aug 2021 11:07:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,16 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-sphinx, python3-sphinx-autodoc-typehints, python3-defusedxml, python3-lxml, python3-paramiko
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3-all,
+               python3-defusedxml,
+               python3-lxml,
+               python3-paramiko,
+               python3-setuptools,
+               python3-sphinx,
+               python3-sphinx-autodoc-typehints
+Standards-Version: 4.6.0
 Homepage: https://github.com/greenbone/python-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/python-gvm.git
@@ -12,7 +20,10 @@
 
 Package: python3-gvm
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources, gvmd (>= 9.0.0)
+Depends: gvmd (>= 20.8.0),
+         python3-pkg-resources,
+         ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-gvm-doc
 Description: Greenbone Vulnerability Management Python Library (Python 3)
  This module gvm contains the Greenbone Vulnerability Management Python API
@@ -27,7 +38,7 @@
 Package: python-gvm-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Greenbone Vulnerability Management Python Library (common documentation)
  This module gvm contains the Greenbone Vulnerability Management Python API
  library. It's a collection of APIs that help with remote controlling a

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,9 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
+
+override_dh_auto_install:
+	dh_auto_install
+	# remove auto-installed dist-packages/test.file
+	# I don't understand why it's installed
+	rm debian/python3-gvm/usr/lib/python3*/dist-packages/test.file

## python-gvm 21.11.0

=== debian/changelog ===
python-gvm (21.11.0-1) unstable; urgency=medium

  * New upstream version 21.11.0
  * Refresh patches
  * Remove add-setup.py.patch: poetry is now in Debian
  * Use upstream build system
  * Change run directory for gvmd 21.4.5 (/run/gvmd)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 May 2022 15:32:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+	       pybuild-plugin-pyproject,
                python3-all,
                python3-defusedxml,
                python3-lxml,
                python3-paramiko,
-               python3-setuptools,
+	       python3-poetry-core,
                python3-sphinx,
                python3-sphinx-autodoc-typehints
 Standards-Version: 4.6.0
@@ -20,7 +21,7 @@
 
 Package: python3-gvm
 Architecture: all
-Depends: gvmd (>= 20.8.0),
+Depends: gvmd (>= 21.4.5),
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}

## python-gvm 22.9.1

=== debian/changelog ===
python-gvm (22.9.1-1) unstable; urgency=medium

  * New upstream version 22.9.1
  * Refresh patches
  * Bump Standards-Version to 4.6.1 (no change)
  * Remove missing theme in docs

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Jan 2023 16:39:20 +0100

python-gvm (22.6.1-1) unstable; urgency=medium

  * New upstream version 22.6.1
  * Refresh patches
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 17 Jun 2022 17:58:01 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       python3-poetry-core,
                python3-sphinx,
                python3-sphinx-autodoc-typehints
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/greenbone/python-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/python-gvm.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=gvm
+export PYBUILD_SYSTEM=pyproject
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## python-gvm 23.4.2

=== debian/changelog ===
python-gvm (23.4.2-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:51:40 +0200

python-gvm (23.4.2-0kali1) kali-experimental; urgency=medium

  * New upstream version 23.2.0
  * Refresh patches
  * Bump Standards-Version to 4.6.2 (no changes)
  * New upstream version 23.4.0
  * Refresh patches
  * New upstream version 23.4.2

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Apr 2023 09:49:42 +0200

python-gvm (23.4.0-0kali1) kali-experimental; urgency=medium

  * New upstream version 23.4.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Apr 2023 10:19:12 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       python3-poetry-core,
                python3-sphinx,
                python3-sphinx-autodoc-typehints
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/greenbone/python-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/python-gvm.git

## python-gvm 23.11.0

=== debian/changelog ===
python-gvm (23.11.0-1) unstable; urgency=medium

  * New upstream version 23.11.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Nov 2023 17:33:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-lxml,
                python3-paramiko,
 	       python3-poetry-core,
+	       python3-pontos,
                python3-sphinx,
                python3-sphinx-autodoc-typehints
 Standards-Version: 4.6.2

## python-gvm 24.3.0

=== debian/changelog ===
python-gvm (24.3.0-1) unstable; urgency=medium

  * New upstream version 24.3.0
  * Refresh patches
  * Update debian/copyright
  * Add missing build-dep python3-typing-extensions

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Apr 2024 09:03:38 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	       python3-poetry-core,
 	       python3-pontos,
                python3-sphinx,
-               python3-sphinx-autodoc-typehints
+               python3-sphinx-autodoc-typehints,
+	       python3-typing-extensions
 Standards-Version: 4.6.2
 Homepage: https://github.com/greenbone/python-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm

## python-gvm 24.8.0

=== debian/changelog ===
python-gvm (24.8.0-1) unstable; urgency=medium

  * New upstream version 24.8.0
  * Remove useless dep python3-pkg-resources (Closes: #1083646)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Oct 2024 10:46:43 +0200

python-gvm (24.7.0-1) unstable; urgency=medium

  * New upstream version 24.7.0
  * Refresh patches
  * Add a patch to make the build reproducible (Closes: #1069822)
  * Bump Standards-Version to 4.7.0 (no change)
  * Use autopkgtest-pkg-pybuild
  * Override false-positive lintian information

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Aug 2024 15:43:29 +0200

=== debian/control ===
--- 
+++ 
@@ -15,16 +15,15 @@
                python3-sphinx,
                python3-sphinx-autodoc-typehints,
 	       python3-typing-extensions
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/greenbone/python-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/python-gvm.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-gvm
 Architecture: all
 Depends: gvmd (>= 21.4.5),
-         python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-gvm-doc

## python-gvm 26.2.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W # treat warnings as errors
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-gvm (26.2.0-1) unstable; urgency=medium

  * New upstream version 26.2.0
  * Refresh patches
  * Add missing build-dep python3-myst-parser

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 May 2025 14:26:41 +0200

python-gvm (26.1.1-1) unstable; urgency=medium

  * New upstream version 26.1.1
  * Update debian/copyright
  * Bump Standards-Version to 4.7.2 (no change)
  * Remove obsolete lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Mar 2025 10:43:43 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                python3-all,
                python3-defusedxml,
                python3-lxml,
+	       python3-myst-parser,
                python3-paramiko,
 	       python3-poetry-core,
 	       python3-pontos,
                python3-sphinx,
                python3-sphinx-autodoc-typehints,
 	       python3-typing-extensions
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/greenbone/python-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/python-gvm.git

## python-gvm 26.5.0

=== docs/Makefile ===
--- 
+++ 
@@ -11,7 +11,10 @@
 help:
 	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
 
-.PHONY: help Makefile
+.PHONY: help Makefile livehtml
+
+livehtml:
+	sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== docs/requirements.txt ===
lxml
paramiko
defusedxml
sphinx
furo

=== debian/changelog ===
python-gvm (26.5.0-1) unstable; urgency=medium

  * Update my email
  * New upstream version 26.5.0

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 16:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
 	       pybuild-plugin-pyproject,

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,3 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
-
-override_dh_auto_install:
-	dh_auto_install
-	# remove auto-installed dist-packages/test.file
-	# I don't understand why it's installed
-	rm debian/python3-gvm/usr/lib/python3*/dist-packages/test.file

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-gvm-$1.tar.gz%" \
   https://github.com/greenbone/python-gvm/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-gvm 26.7.0

=== debian/changelog ===
python-gvm (26.7.0-1) unstable; urgency=medium

  * New upstream version 26.7.0
  * Refresh patches
  * Update debian/watch Version 5

 -- Sophie Brun <sophie@kali.org>  Thu, 06 Nov 2025 11:09:02 +0100

=== debian/watch ===
Version: 5
Template: Github
Owner: greenbone
Project: python-gvm

## python-gvm 26.8.0

=== debian/changelog ===
python-gvm (26.8.0-1) unstable; urgency=medium

  * New upstream version 26.8.0

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 11:17:18 +0100

## python-gvm 26.9.1

=== debian/changelog ===
python-gvm (26.9.1-1) unstable; urgency=medium

  * New upstream version 26.9.1
  * Bump Standards-Version to 4.7.3

 -- Sophie Brun <sophie@kali.org>  Wed, 28 Jan 2026 15:24:21 +0100

## python-gvm 26.10.0

=== debian/changelog ===
python-gvm (26.10.0-1) unstable; urgency=medium

  * New upstream version 26.10.0

 -- Sophie Brun <sophie@kali.org>  Wed, 25 Feb 2026 15:25:42 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-sphinx,
                python3-sphinx-autodoc-typehints,
 	       python3-typing-extensions
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/greenbone/python-gvm
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/python-gvm
 Vcs-Git: https://salsa.debian.org/pkg-security-team/python-gvm.git
